/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-03-31
* Changed:         2024-05-31
*
* */

#ifndef LS_STD_I_CLOCK_HPP
#define LS_STD_I_CLOCK_HPP

#include <ls-std/core/definition.hpp>
#include <ls-std/time/common/DateParameter.hpp>

namespace ls::std::time
{
  ls_std_class IClock
  {
    public:

      IClock();
      virtual ~IClock();

      virtual bool setTime(const DateParameter &_dateParameter) = 0;
  };
}

#endif
