/*
* Author:          Patrick-Christopher Mattulat
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-04-01
* Changed:         2024-05-31
*
* */

#ifndef LS_STD_WINDOW_CLOCK_HPP
#define LS_STD_WINDOW_CLOCK_HPP

#include "IClock.hpp"
#include <ls-std/core/definition.hpp>

namespace ls::std::time
{
  ls_std_class WindowsClock : public IClock
  {
    public:

      WindowsClock();
      ~WindowsClock() noexcept override;

      [[nodiscard]] bool setTime(const DateParameter &_dateParameter) override;
  };
}

#endif
